/*************************************************************************
 * $Id: log.h,v 1.6 2000/02/07 18:50:39 dpotter Exp $
 *
 * log.h -- Logging functions
 *
 * Copyright (C) by Andreas Neuhaus <andy@fasta.fh-dortmund.de>
 *
 */

#ifndef __LOG_H__
#define __LOG_H__


#define LOG_QUIET	0	// nothing logged
#define LOG_ERROR	1	// errors
#define LOG_NORMAL	2	// normal messages
#define LOG_VERBOSE	3	// verbose output
#define LOG_DEBUG	4	// debug messages
#define LOG_NOISYDEBUG	5	// lots of debug info


void log_printf (int level, char *text, ...);

int log_open (char *filename, int level);
void log_close (void);


#endif /* __LOG_H__ */

/*************************************************************************
 * EOF
 */
